Test this repack it work on Fx 3.6.6 (maybe up to 3.7b2pre / 4.0b2pre) Rated 5 out of 5 stars

Very strange website announce it work with Firefox 0.9 - 3.6.* but in fact it's just up to 3.1a2pre !!!
Maybe a typo error from author while updating the install.rdf file because 3.7b2pre would be more logic.
Btw the chrome.manifest is missing into the xpi.

So if some users want this great add-on to work again get it from here (no change to add-on itself I've just fix installer): http://multi-load.com/files/HA5OISAL/zoomfox-0.8.1-fx-4.0.xpi

This review is for a previous version of the add-on (0.8).